Package org.apache.datasketches.tuple

# Enum Class SerializerDeserializer.SketchType

java.lang.Object
java.lang.Enum<SerializerDeserializer.SketchType>
org.apache.datasketches.tuple.SerializerDeserializer.SketchType

All Implemented Interfaces:
  `Serializable`, `Comparable<SerializerDeserializer.SketchType>`, `Constable`

Enclosing class:
  `SerializerDeserializer`

public static enum SerializerDeserializer.SketchType extends Enum<SerializerDeserializer.SketchType>
Defines the sketch classes that this SerializerDeserializer can handle.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ArrayOfDoublesCompactSketch`
ArrayOfDoublesCompactSketch
`ArrayOfDoublesQuickSelectSketch`
ArrayOfDoublesQuickSelectSketch
`ArrayOfDoublesUnion`
ArrayOfDoublesUnion
`CompactSketch`
CompactSketch
`QuickSelectSketch`
QuickSelectSketch

## Method Summary

Modifier and Type
Method
Description
`static SerializerDeserializer.SketchType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SerializerDeserializer.SketchType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### QuickSelectSketch

public static final SerializerDeserializer.SketchType QuickSelectSketch
QuickSelectSketch

### CompactSketch

public static final SerializerDeserializer.SketchType CompactSketch
CompactSketch

### ArrayOfDoublesQuickSelectSketch

public static final SerializerDeserializer.SketchType ArrayOfDoublesQuickSelectSketch
ArrayOfDoublesQuickSelectSketch

### ArrayOfDoublesCompactSketch

public static final SerializerDeserializer.SketchType ArrayOfDoublesCompactSketch
ArrayOfDoublesCompactSketch

### ArrayOfDoublesUnion

public static final SerializerDeserializer.SketchType ArrayOfDoublesUnion
ArrayOfDoublesUnion

## Method Details

### values

public static SerializerDeserializer.SketchType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SerializerDeserializer.SketchType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null